import org.apache.commons.beanutils.converters.StringConverter;
import org.apache.commons.beanutils.converters.ArrayConverter;

public class ArrayConverterExample2 {

	public static void main (String [] args) {

		StringConverter sConverter = new StringConverter();
		ArrayConverter converter = new ArrayConverter(String[].class, sConverter);
		converter.setDelimiter(':');

		String input = "1:2:3:4";
		System.out.println("Convert string = " + input);

		String [] result = converter.convert(String[].class, input);

		System.out.println("Converted value: ");

		for (String s : result) {

			System.out.println(s);
		}
	}
}